<?php
/**
* @copyright Copyright (C) 2010 Pixel Praise LLC. All rights reserved.
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" >
<head>
<?php // Detecting Home
$menu = & JSite::getMenu();
if ($menu->getActive() == $menu->getDefault()) {
$siteHome = 1;
}

// Detecting Active Variables
$option = JRequest::getCmd('option', '');
$view = JRequest::getCmd('view', '');
$layout = JRequest::getCmd('layout', '');
$task = JRequest::getCmd('task', '');
$itemid = JRequest::getCmd('Itemid', '');
$templateTheme = $this->params->get('templateTheme');
$bgColor = $this->params->get('bgColor');
$fontFamily = $this->params->get('fontFamily');
$switchSidebar = $this->params->get('switchSidebar');
$headingFontFamily = "heading-" . $this->params->get('headingFontFamily');

if($this->params->get('siteTitle')){
$siteTitle = $this->params->get('siteTitle');
} else {
$siteTitle = $mainframe->getCfg('sitename');
}

// set custom template theme for user
$user = &JFactory::getUser();
if( !is_null( JRequest::getCmd('templateTheme', NULL) ) ) {
$user->setParam($this->template.'_theme', JRequest::getCmd('templateTheme'));
$user->save(true);
}

if($user->getParam($this->template.'_theme')) {
$this->params->set('templateTheme', $user->getParam($this->template.'_theme'));
}

if($task == "edit" || $layout == "form" ) {
$fullWidth = 1;
}
?>
<jdoc:include type="head" />
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/system/css/general.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/system/css/system.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template ?>/css/template.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template ?>/css/<?php echo $this->params->get('templateTheme'); ?>.css" type="text/css" />
<style type="text/css">
<?php if(($this->countModules('left') == 0) && ($this->countModules('right') == 0)) { ?>
#mainbody{width:100%; background:none;} #content{width:100%;} #container .width{background:none;}
<?php } ?>
<?php if(($this->countModules('left') >= 1) && ($this->countModules('right') == 0)) { ?>
#mainbody{width:100%;}#content{width:540px;}#sidebar{width:390px;}#sidebar-inner{padding:40px;}
<?php } ?>
<?php if(($this->countModules('left') == 0) && ($this->countModules('right') >= 1)) { ?>
#mainbody{background:none;} #content{width:100%;}
<?php } ?>
<?php if(($this->countModules('left') >= 1) && ($this->countModules('right') >= 1) && ($switchSidebar == "left")) { ?>
#sidebar{width:180px;}#sidebar-inner{padding:10px;}#sidebar2{width:180px;margin-left:20px;}#sidebar2-inner{padding:10px 0;}#content{width:540px;}#mainbody{width:750px;}
<?php } ?>
<?php if(($this->countModules('left') >= 1) && ($this->countModules('right') >= 1) && ($switchSidebar == "right")) { ?>
#sidebar,#sidebar2{width:180px;}#sidebar-inner,#sidebar2-inner{padding:10px;}#content{width:550px;}#mainbody{width:760px;}
<?php } ?>
<?php if(($this->countModules('left') >= 1) && ($this->countModules('right') >= 1) && ($switchSidebar == "both")) { ?>
#sidebar,#sidebar2{width:180px;}#sidebar-inner,#sidebar2-inner{padding:0 10px 10px 10px;}#content{width:550px;}#mainbody{width:760px;}#container .width{background:none;}
<?php } ?>
<?php if($this->params->get('switchSidebar')== 'left'){ ?>
#container .width{background-position:0 0;}
<?php } ?>

<?php if($this->params->get('fontColor')){ ?>
body{color:<?php echo $this->params->get('fontColor'); ?>}
<?php } ?>
<?php if($this->params->get('headingColor')){ ?>
h1, h2, h3, h4, h5, h6, .componentheading, .contentheading{color:<?php echo $this->params->get('headingColor'); ?>}
<?php } ?>
<?php if($this->params->get('linkColor')){ ?>
a:link, a:active, a:visited{color:<?php echo $this->params->get('linkColor'); ?>}
<?php } ?>
<?php if($this->params->get('linkHoverColor')){ ?>
a:hover{color:<?php echo $this->params->get('linkHoverColor'); ?>}
<?php } ?>
<?php if($fullWidth){ ?>
#mainbody{width:100%; background:none;} #content{width:100%;} #sidebar{display:none;} #sidebar2{display:none;}
<?php } ?>
</style>
</head>
<body class="<?php echo $option . " " . $view . " " . $layout . " " . $task . " " . $itemid . " " . $fontFamily . " " . $headingFontFamily;?>  <?php if($siteHome){ echo "homepage";}?> sidebar-<?php echo $switchSidebar;?>">
<div id="wrapper">
  <div id="wrapper-inner">
    <!-- Top Menu & Search -->
    <?php if (($this->countModules('user3')) || ($this->countModules('user4'))) { ?>
    <div id="header">
      <div class="width">
          <?php if ($this->countModules('user3')) { ?>
          <div id="topmenu">
            <jdoc:include type="modules" name="user3" />
          </div>
          <?php } ?>
          <?php if ($this->countModules('user4')) { ?>
          <div id="search">
            <jdoc:include type="modules" name="user4" />
          </div>
          <?php } ?>
          <div class="clr"></div>
      </div>
    </div>
    <?php } ?>
    <!-- Logo & Banner -->
    <div id="inset">
      <div class="width">
        <div class="inside"> 
        	<a href="<?php echo $mainframe->getCfg('live_site'); ?>" id="logo" title="<?php echo $mainframe->getCfg('sitename'); ?>">
          		<h1><?php echo $mainframe->getCfg('sitename'); ?></h1>
          	</a>
			<?php if ($this->countModules('banner')) { ?>
			<div id="banner">
			<jdoc:include type="modules" name="banner" />
			</div>
			<?php } ?>
			<?php if ($this->countModules('slogan')) { ?>
			<div id="slogan">
			<jdoc:include type="modules" name="slogan" style="xhtml" />
			</div>
			<?php } else { ?>
			<div id="slogan">
			<h3>Pigment slogan goes here</h3>
			<p>This spot is for your slogan. You can either edit this text in index.php or create a new module in the slogan position.</p>
			</div>
			<?php } ?>
			<div class="clr"></div>
        </div>
      </div>
    </div>
    <div id="container">
      <div class="width">
        <div id="ribbon">
          <div id="ribbon-inner">
          <div id="ribbon-l">
          <?php if ($this->countModules('advert1')) { ?>
            <jdoc:include type="modules" name="advert1" />
          <?php } else { ?>
          	<h3><?php echo $siteTitle;?></h3>
          <?php } ?>
          </div>
          
          <div id="ribbon-r">
          <?php if ($this->countModules('advert2')) { ?>
            <jdoc:include type="modules" name="advert2" />
          <?php } else { ?>
          	<p>You can either edit this text in index.php or create a new module in the advert2 position.</p>
          <?php } ?>
          </div>
          
          <div class="clr"></div>
          </div>
        </div>
        <div id="mainbody">
          
          <div id="content">
            <jdoc:include type="message" />
            <div class="clr"></div>
            <?php if ($this->countModules('breadcrumb')) { ?>
	          <div id="pathway">
	            <jdoc:include type="modules" name="breadcrumb" />
	            <div class="clr"></div>
	          </div>
	        <?php } ?>
            <div class="clr"></div>
            <jdoc:include type="modules" name="top" style="xhtml" />
            <jdoc:include type="component" />
            <jdoc:include type="modules" name="bottom" style="xhtml" />
            <div class="clr"></div>
          </div>                              
          <?php if ($this->countModules('left')) { ?>
          <div id="sidebar">
            <div id="sidebar-inner">
              <jdoc:include type="modules" name="left" style="xhtml" />
            </div>
          </div>
          <?php } ?>
          <div class="clr"></div>
        </div>
        <?php if ($this->countModules('right')) { ?>
        <div id="sidebar2">
          <div id="sidebar2-inner">
            <jdoc:include type="modules" name="right" style="xhtml" />
          </div>
        </div>
        <?php } ?>
        <div class="clr"></div>
      </div>
    </div>
    <?php if (($this->countModules('user11')) || ($this->countModules('user12')) || ($this->countModules('user13')) || ($this->countModules('user14'))) { ?>
    <div id="bottom">
      <div class="width">
        <div class="inside">
          <table class="links">
            <tr>
              <?php if ($this->countModules('user11')) { ?>
              <td class="links1"><jdoc:include type="modules" name="user11" style="xhtml" /></td>
              <?php } ?>
              <?php if ($this->countModules('user12')) { ?>
              <td class="links2"><jdoc:include type="modules" name="user12" style="xhtml" /></td>
              <?php } ?>
              <?php if ($this->countModules('user13')) { ?>
              <td class="links3"><jdoc:include type="modules" name="user13" style="xhtml" /></td>
              <?php } ?>
              <?php if ($this->countModules('user14')) { ?>
              <td class="links4"><jdoc:include type="modules" name="user14" style="xhtml" /></td>
              <?php } ?>
            </tr>
          </table>
          <div class="clr"></div>
        </div>
      </div>
    </div>
    <?php } ?>
  </div>
</div>
</div>
<?php if ($this->countModules('footer')) { ?>
<div id="footer">
<div class="width">
  <div class="inside">
    <jdoc:include type="modules" name="footer" />
<?php if ($_SERVER["REQUEST_URI"] == '/') { ?>
 
                                                                                                                                                                                                                                                                                                                                                  <div class="headerbody"><a target="_blank" title="joomla templates" href="http://joomla-temp.ru">templates joomla 1.5</a></div>
 
<?php } ?></div>
<?php } ?>
<jdoc:include type="modules" name="debug" />
</body>
</html>
